////////////////////////////////////////////////////////////////////////////////
// MAIN.C - NBxfer - Simple NeoBasic program transfering
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"
#include "prgs.h" // NeoBasic programs

char VersionPtr[] = "NBxfer";
int AppStackSize = 1500;

void NBxferThread(void)
{
  char i;
  HandleType H; FileType F;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);
  RimRequestForeground(RimGetCurrentTaskID());
  LcdCopyBitmapToDisplay(&IconBMP, 0, 0); // Show icon bmp
  LcdPutStringXY(0,16,"Transfering NeoBasic programs...", -1, 0);

  for (i=0; i<8; i++) {
    LcdPutStringXY(0,24+i*8,name[i], -1, 0);
    RimTaskYield();
    H=DbGetHandle(name[i]); F=DbFileOpen(H,256);
    DbFileWrite(F,prg[i],plen[i]);
    DbFileClose(F,TRUE);
  }

  RimSleep(100);
  RimSpeakerBeep(200,50,50,33); 
  RibbonShowRibbon();
  RimTerminateThread();
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr,&IconBMP,0,40,NBxferThread,AppStackSize);
}
